/* Pop-Up-Window */
.popUpWindowWrapper{
    display: none;
    width: 80vw;
    width: 80lvw;
    height: 80vh;
    height: 80lvh;
    padding: 5vh;
    padding: 5lvh;
    padding-top: 10vh;
    padding-top: 10lvh;
    margin: auto;
    position: fixed;
    top: 10vh;
    top: 10lvh;
    left: 10vw;
    left: 10lvw;
    background-color: rgb(240, 240, 240);
}

.popUpWindowWrapper h1{
    padding-top: 0;
    padding-bottom: 0;

}

.popUpWindowWrapper h2{
    padding-top: 0;
    padding-bottom: 1vh;
    font-size: 1.75rem;
    line-height: 1.05;
}

.closePopUp{
    position: absolute;
    top: 2vh;
    top: 2lvh;
    right: 2vh;
    right: 2lvh;
}
.closePopUp a:link{
    text-decoration: none;
    color: #303030;
}

.closePopUp a:hover{
    color: rgb(180, 180, 180);
}



.closePopUp a:visited{
    color: #303030;
}

.popUp{
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr;
    gap: 2vh;
    gap: 2lvh;
}

.popUpText{
    grid-column: 2;
}


/* IMG Slider */
.imgSlider{
    grid-column: 1;
    width: 100%;
    height: 100%;
}

.slideImg{
    display: none;
}

.slideImg img{
    width: 100%;
    object-fit: cover;
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}

.imgSliderNav{
    display: flex;
    justify-content: space-between;
    margin-top: 1vh;
    margin-bottom: 1vh;
}

.imgPrev, .imgNext {
    cursor: pointer;
    width: auto;
    color: #303030;
    font-size: 18px;
    transition: 0.6s ease;
    user-select: none;
}

.imgNext {    
    padding-right: 0.25vw;
}
.imgPrev{
    padding-left: 0.25vw;
}

.imgPrev:hover, .imgNext:hover {
    color: rgb(180, 180, 180);
}

.dot {
    cursor: pointer;
    height: 10px;
    width: 10px;
    margin: 0 2px;
    background-color: rgb(180, 180, 180);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}
  
.dots{
    text-align: center;
}

.active, .dot:hover {
    background-color: #303030;
}


/* Tablet */
@media only screen and (max-width: 768px) {

    .popUpWindowWrapper{
        width: 96vw;
        width: 96lvw;
        height: 80vh;
        height: 80lvh;
        padding: 0vh;
        padding: 0lvh;
        padding-top: 10vh;
        padding-top: 10lvh;
        top: 10vh;
        top: 10lvh;
        left: 2vw;
        left: 2lvw;
    }

    .popUpWindowWrapper h1{
        font-size: 2rem;
    }
    
    .popUpWindowWrapper h2{
        font-size: 1.5rem;
    }

    .closePopUp{
        top: 2vh;
        top: 2lvh;
        right: 2vh;
        right: 2lvh;
    }

    .closePopUp a:link{
        font-size: 2rem;
    }

    .popUp{
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, 50vh);
        width: 100%;

    }

    .imgSlider{
        grid-row: 1;
        grid-column: 1 / 5;
        width: 100%;
    }

    .popUpText{
        grid-row: 2;
        grid-column: 1 / 5;
    }

}


/* Smartphone */
@media only screen and (max-width: 576px) {

    .popUpWindowWrapper{
        width: 96vw;
        width: 96lvw;
        min-height: 80vh;
        min-height: 80lvh;
        /* height: max-content; */
        padding: 0vh;
        padding: 0lvh;
        padding-top: 10vh;
        padding-top: 10lvh;
        top: 10vh;
        top: 10lvh;
        left: 2vw;
        left: 2lvw;
        overflow-y: scroll;
    }

    .popUpWindowWrapper h2{
        font-size: 1.5rem;
    }

    .closePopUp{
        top: 2vh;
        top: 2lvh;
        right: 2vh;
        right: 2lvh;
    }

    .closePopUp a:link{
        font-size: 2rem;
    }

    .popUp{
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, auto);
        width: 100%;
        gap: 3vh;
        gap: 3lvh;
    }

    .imgSlider{
        grid-row: 1;
        grid-column: 1 / 5;
        width: 100%;
    }

    .popUpText{
        grid-row: 2;
        grid-column: 1 / 5;
        padding-bottom: 20vh;
    }
}